タイガー!タイガー!じれったいぞー!(SE編)

AS400,WAS,GlassFish,Java,JavaEE,JSF等の開発における日々の気づきをまとめたブログ(備忘録)。

【NetBeans】Glassfish4.1.1との連携

久しぶりに、Javaの開発に戻ってきたのですが、2015年10月には、Glassfish4.1.1が出ているし、サードパーティーのPrimeFacesも5.3が出ているじゃないですか!!!

というわけで、開発機で、Glassfish4.1.1を配備して、NetBeans8.0.2で連携しようとしてみると・・・

f:id:no14141:20151105202004j:plain

f:id:no14141:20151105202010j:plain

あれ? 「有効なGlassfish Serverのインストールではありません」と出てしまう。 インストール場所は、合っているのになぜでしょう?

試しに、「Payara4.1.1.154」でもやってみると、下記の通り、こちらは認識してくれました。

f:id:no14141:20151105202016j:plain

f:id:no14141:20151105202023j:plain

Glassfishが新しくなったということは、もしやIDEが上がっていると思ってNetBeansのDownloadsを確認してみると、やはり「NetBeans8.1」がリリースされておりました。

https://netbeans.org/downloads/?pagelang=ja

というわけで、「NetBeans8.1」を入れたのち、サーバーの追加から「Glassfish4.1.1」の場所を指定してやると、問題なく、Glassfish Server4.1.1のインストールとして認識してくれました!

f:id:no14141:20151105203314j:plain

基本的なことだったのかもしれません。 今日は、かなり時間を無駄にしてしまい、反省の多い1日でした・・・。

今後は、必須技術に関するアンテナをもっと高くし、行動のサイクルを速めていかなければなりませんね。